[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[PATCH] svn 1.2.x cannot reach dual-stack svnserve with IPv4

From: Rémi Denis-Courmont <rdenis_at_simphalempin.com>
Date: 2005-07-17 13:08:06 CEST

        Hello,

Le Dimanche 17 Juillet 2005 01:56, vous avez écrit :
> I'm tempted to just give up any pretense of ipv6 support and remove
> the existing code that deals with it in svnserve.
> It seems it's been a lot more trouble than it's worth, because things
> like to tell us about ipv6 addresses, etc, when the actual machine
> can't support it.
>
> Maybe in 5 or 6 years when someone gets this right we should
> reimplement.

The attached patch seems to solve the problem. Can reach dual-stack
servers from dual-stack and IPv4-only hosts; can IPv4-only servers from
dual-stack and IPv4-only hosts.

Sincerely,

-- 
Rémi Denis-Courmont
http://www.simphalempin.com/home/


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org

Received on Sun Jul 17 14:16:37 2005

This is an archived mail posted to the Subversion Dev mailing list.